---
title: "Retrieve a label"
description: "One label by id, in the same shape as a row of the list."
url: "https://openemail.uk/docs/api/labels/get"
area: "API"
category: "Mailbox"
---

# Retrieve a label

One label by id, in the same shape as a row of the list.

`GET /labels/{id}`

## GET /labels/{id}

One label by id, in the same shape as a row of the list.

## Example

Needs `labels:read`.

**curl**

```
curl "$OE/labels/USER_INVOICES" -H "$AUTH"
```

**Response**

```
{
  "object": "label",
  "id": "USER_INVOICES",
  "name": "Invoices",
  "type": "user",
  "color": { "backgroundColor": "#EA9602", "textColor": "#18181B" },
  "threadCount": 318,
  "createdAt": "2026-09-22T08:14:03.117Z",
  "updatedAt": "2026-09-23T10:02:44.508Z"
}
```

> Ids are matched exactly, and a system id such as `INBOX` is a 404.
